Export Call Dispositions CSV
curl --request GET \
--url https://api.trillet.ai/v1/api/call-dispositions/export-csv \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.trillet.ai/v1/api/call-dispositions/export-csv"
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-workspace-id': '<x-workspace-id>'}
};
fetch('https://api.trillet.ai/v1/api/call-dispositions/export-csv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Export Call Dispositions CSV
Export call dispositions as a CSV file.
GET
/
v1
/
api
/
call-dispositions
/
export-csv
Export Call Dispositions CSV
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Query Parameters
string
Filter by phone number.
string
Filter by batch call ID.
string
Filter by agent ID.
string
Filter by disposition status.
string
Filter by disposition type.
string
Timezone for date formatting in the CSV.
Response
The response is a CSV file withContent-Type: text/csv headers containing all matching dispositions with columns for phone number, disposition type, status, scheduled time, attempt number, agent, and notes.⌘I
